SET(QHULL_BASE_PATH CACHE PATH "Qhull base path")

find_path(QHULL_INCLUDE_PATH qhull_a.h HINTS ${QHULL_BASE_PATH}/src/libqhull)
find_path(QHULL_CPP_INCLUDE_PATH Qhull.h HINTS ${QHULL_BASE_PATH}/src/libqhullcpp)
find_library(QHULL_LIBRARY qhull6 HINTS ${QHULL_BASE_PATH}/lib)
find_library(QHULL_CPP_LIBRARY qhullcpp HINTS ${QHULL_BASE_PATH}/lib)
find_library(QHULL_P_LIBRARY qhullstatic_p HINTS ${QHULL_BASE_PATH}/lib)

if ((NOT QHULL_INCLUDE_PATH) OR (NOT QHULL_CPP_LIBRARY))
  message(SEND_ERROR "Qhull library not found")
endif((NOT QHULL_INCLUDE_PATH) OR (NOT QHULL_CPP_LIBRARY))

set(QHULL_INCLUDES ${QHULL_INCLUDE_PATH} ${QHULL_CPP_INCLUDE_PATH} ${QHULL_BASE_PATH}/src)
set(QHULL_LIBRARIES ${QHULL_CPP_LIBRARY} ${QHULL_P_LIBRARY})

add_definitions(-Dqh_QHpointer)

mark_as_advanced(QHULL_INCLUDE_PATH QHULL_CPP_INCLUDE_PATH QHULL_LIBRARY QHULL_CPP_LIBRARY QHULL_P_LIBRARY)
